Package it.ernytech.tdlib

## Class TdApi.StickerSets

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.StickerSets

Enclosing class:
  TdApi

    public static class TdApi.StickerSets
    extends TdApi.Object

Represents a list of sticker sets.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.StickerSetInfo[]` `sets` List of sticker sets.
`int` `totalCount` Approximate total number of sticker sets found.

### Constructor Summary

Constructors
`StickerSets()` Default constructor.
`StickerSets​(int totalCount, TdApi.StickerSetInfo[] sets)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### totalCount

    public int totalCount

Approximate total number of sticker sets found.

#### sets

    public TdApi.StickerSetInfo[] sets

List of sticker sets.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### StickerSets

    public StickerSets()

Default constructor.

#### StickerSets

    public StickerSets​(int totalCount,
                       TdApi.StickerSetInfo[] sets)

Constructor for initialization of all fields.

Parameters:
  `totalCount` - Approximate total number of sticker sets found.
  `sets` - List of sticker sets.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR